Option Explicit

#include ..\lib\framework_domotics.vbs
#include local-parameters.inc

Sub main
Dim astrWebPage
Dim astrValue
Dim astrNbDv
Dim i
Dim atabParams
Dim atabDv
Dim astrDevices
Dim astrConfig
Dim astrURL
Dim astrFILE
Dim astrPARAM1
Dim astrPARAM2
Dim astrDevice

WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_INF, "Launching " & G_FOLDER_NAME & " script", G_LOG_FILE

If CheckDevices(G_FOLDER_NAME, G_FILE_INI, G_STATUS_EXIST) Then

	astrDevices 		= hs.GetINISetting("COMMON","DEVICES","", G_FILE_INI)
	astrConfig  		= hs.GetINISetting("COMMON","CONFIG","..\scripts\config\", G_FILE_INI)
	astrURL				= hs.GetINISetting("COMMON","URL","",G_FILE_INI)
	astrFILE			= hs.GetINISetting("COMMON","FILE","",G_FILE_INI)
	atabDv	 			= Split(astrDevices, G_SEP)
	astrNbDv 			= UBound(atabDv) 

	i=0
	While (i <= Cint(astrNbDv))
		astrPARAM1 		= hs.GetINISetting("DEVICE", "PARAM1", "", astrConfig & atabDv(i)) 
		astrDevice 		= hs.GetINISetting("DEVICE", "HC", "", astrConfig & atabDv(i)) & _ 
								      hs.GetINISetting("DEVICE", "DC", "", astrConfig & atabDv(i))
    astrPARAM2    = hs.GetINISetting("DEVICE", "PARAM2", "", astrConfig & atabDv(i))                 	

		atabParams		= Split(astrPARAM1,G_SEP)
		
		If (atabParams(0) = "COMMA") and (Ubound(atabParams) = 3) Then
			astrWebPage = ""
			astrWebPage = WGetAndCacheWebPage(	replace(astrURL,"##CODE##",atabParams(1)), _
												replace(astrFILE,"##CODE##",atabParams(1)), _
												TRUE, _
												1 _
											)
			If (astrWebPage <> "") Then
				astrValue = ""
				astrValue = Split(astrWebPage,atabParams(2))
				If UBound(astrValue) > 0 Then
					If isNumeric(Trim(astrValue(atabParams(3)))) Then
						WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_INF, astrDevice & " : " & astrValue(atabParams(3)) & " is found", G_LOG_FILE
						'SetDevice astrDevice, trim(astrValue(atabParams(3))), "", ""
						SetDevice astrDevice , trim(astrValue(atabParams(3))) & " " & astrPARAM2, "", trim(astrValue(atabParams(3)))*100 
					ElseIf Trim(astrValue(atabParams(3))) = "N/A" Then
						SetDevice astrDevice, "N/A", "", ""
					Else
						WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_CRI, astrDevice & " : " & astrValue(atabParams(3)) & " is not a numeric !", G_LOG_FILE
					End if
					
				Else
					WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_CRI, astrDevice & " : " & "URL problems for Code=" & atabParams(1) & "!", G_LOG_FILE							
					
				End if
			End if
			
		Else
			WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_CRI, astrDevice & " : " & "Param problems in [Module] section !", G_LOG_FILE			
		End if
		i=i+1
	Wend

Else
	WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_SEV, "Expected Device is unknown !", G_LOG_FILE
	
End if

WriteLog G_FOLDER_NAME, G_SCRIPT_EVT, G_TIV_INF, "End of the script", G_LOG_FILE
End sub
